Jump to content


Photo

BWP v15


  • Please log in to reply
257 replies to this topic

#21 tomkaz

tomkaz
  • Member
  • 992 posts

Donator

Posted 13 April 2015 - 06:30 AM

Hi Leonardo:

 

I used BWP v15 to install my mega-mod game.  It installed without installation  errors.  But there were some errors with the mods that BGT seems to have repaired or bypassed.

 

I did not select to use Clean-Up.bat.  The reason is that older versions of Clean-Up.bat would remove BiG World Debug.txt, language.txt, etc.  So you lost the files that helped you fix problems.  So I would complete the installation, then copy the files to a safe folder, and then run Clean-Up.bat.  I tried this with v15 and the current version of Clean-Up.bat would not run after the installation was complete.  I also tried an older version of Clean-Up.bat, but it does not work either.

 

Two questions.  Is there a way to force Clean-Up. bat to work after I started playing the game?  Will clean-Up.bat work after the game is installed, but before I start to play the game?

 

My other option is to install the exact same game from the exact same files and hope my game saves work.

 

Thanks again for your very hard work making the installation of a mega-mod easy.

 

Tom



#22 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 18 April 2015 - 09:21 AM

@tomkaz
v15.0.1 and v15.0.2 are bugfixes
 

 

Two questions.  Is there a way to force Clean-Up. bat to work after I started playing the game?  Will clean-Up.bat work after the game is installed, but before I start to play the game?

 


Start the install.bat again after successful installation. Now it offers you several "Services" including the Clean-Up. Clean-Up keeps the BiG World Debug.txt and language.txt files.



#23 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 21 April 2015 - 07:37 PM

Leonardo,

 

Thanks for all this work.  I'm going to try one more go at this and install every mod possible!  I want to see how many NPCs in the Copper Coronet can fit there as by added in mods!  On a more serious note, I have 2 questions and I'll post more as they come up.

 

1. You noted the following in the v15 guide:

 

 

Baldurdash Weidu v1.68 (1)
~SETUP-BDTOBV168.TP2~
This is an edited version of this mod. Most of these components are already included in the BG2Fixpack.
These remain untouched from the edited version!
Nevertheless, several fixes which are not handled by BG2Fixpack are included. Besides, this mod is required for a future
installation of NEJ 6.8.
Use by no means the original tp2 file from Baldurdash together with the BG2Fixpack!
- 24

 

 

I don't understand this one. Don't we need to install both Baldurdash and the BG2Fixpack to eliminate as many bugs as possible?  Also, Vlad has released  Baldurdash 1.69 recently.

 

2. There are a few mods not listed here, mainly lots of NPC mods.  Do you think it would hurt to install them at the end of the current list?

 

3.  The currently available NEJ that is most up to date is NEJ2 6.94  I don't know if this is a complete file or just a patch, currently asking.


Edited by Bill Bisco, 21 April 2015 - 07:43 PM.

"Real Sharpness Comes Without Effort"

#24 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 21 April 2015 - 08:43 PM

4.  It seems the CtB Cutscene improvement has been integrated into the mod

 

5.  Tortured Souls is v7.04 currently with v7.05 very close to fruition, but if it's not compatible with other mods, then I wouldn't call BP-TS 6.10 outdated.

 

6. I can't find the Baldur's Gate Trilogy Music mod, but I can find this:  http://www.shsforums...-language-pack/

 

I assume I should use that instead?

 

7. It seems that the Jondalar Fix, creates its own problems.  Perhaps we should remove that mod from the mod order for now?

 

Jondalar fix for BGt v1.1 : http://www.shsforums...nversation-bug/


"Real Sharpness Comes Without Effort"

#25 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 5042 posts

Posted 21 April 2015 - 10:28 PM

I don't understand this one. Don't we need to install both Baldurdash and the BG2Fixpack to eliminate as many bugs as possible? 
No, you can if you wish to... but you DO NOT HAVE TO. And indeed you don't need the G3 BG2 Fixpack either. THIS is about giving you the option to include every god darn mod you wish and making a best order to install them in... not making the best game experience you'll ever live and die in.

6. The BGT music is intergrated into the BGT-weidu mod, and when you install the BGT-weidu, you can then install the BGT music. It's in a separated .tp2 file cause... it was programmed that way.

5. That's not a question. Nor is the 4.
3. If we add the question mark at the end, then I'll answer the assumed question. The NEJ 6.94 is a combination of the NEJ 6.9 1 large archive(500MB's), and the v6.94 patch archive(10MB's).
You also have the option to use older different version of the mod( 6.8 )... cause for kicks and there was parts removed and parts added.
1. That note means that when the BiG World Install.bat was still being coded, the Baldurdash-WeiDU v1.68 was being made, after that, there were bug reports and so forth and as the mod is not only a Fixpack, but a bunch of tweak mods stringed together, some of it's change were removed, and so the .tp2 file is overwritten by the BiG World Install.bat... now you say the v1.69 is out, guess what, it's not compatible. Good night.

Edited by The Imp, 21 April 2015 - 10:45 PM.

Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#26 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 24 April 2015 - 07:35 PM

I just realized that Leonardo's website has direct download links for the files mentioned in the Big World Project PDF almost in complete order (slightly out of order due to that being v14.

 

I found a couple of updated links since I'm going through and downloading everything:

 

Mur'Neth v11:  http://gibberlings3....download&id=784

 

Xan Friendship Path for BG1 v9: http://mods.pocketpl...G1Friend_v9.zip

 

Coran's BG Extended Friendship Talks for Tutu and BGT (OS X) v4: http://gibberlings3....download&id=814

Finch NPC: http://cd8ba0b44a15c...b441364728b.zip


"Real Sharpness Comes Without Effort"

#27 dabus

dabus
  • Member
  • 1982 posts

Posted 24 April 2015 - 08:19 PM

Baldurs-gate.eu is not Leonardos website. ;)  At least I guess you used the list from there.

Edit: Corrected.


Edited by dabus, 24 April 2015 - 08:36 PM.

THINK! - It's not illegal.

#28 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 25 April 2015 - 04:37 AM

Baldurs-gate.eu is not Leonardos website. ;)  At least I guess you used the list from there.

Edit: Corrected.


Well, whoever it belongs it is awesome and is awesome for doing that!  I wish it was on a wiki where it could be easily updated and edited.


Edited by Bill Bisco, 25 April 2015 - 04:38 AM.

"Real Sharpness Comes Without Effort"

#29 dabus

dabus
  • Member
  • 1982 posts

Posted 25 April 2015 - 01:10 PM

It's based on a download portal and if you dare to join a German community that can understand / write English, you can still do it.

By the way: If you want to contribute, you could try to help to keep the BWS up to date - which has the/its list of URLs, too. And is located on bitbucket and has regular visited forum entries here.

(And you could have used it to download / extract / install the mods, too.)


THINK! - It's not illegal.

#30 subtledoctor

subtledoctor
  • Member
  • 642 posts

Posted 28 April 2015 - 12:51 PM

EDIT: quote fail, hang on...

Edited by subtledoctor, 28 April 2015 - 08:13 PM.


#31 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 28 April 2015 - 06:54 PM

Where can I find "Huple 1.4"  I can find Huple 1.2.  BUt the BWP seems to indicate 1.4 exists.


"Real Sharpness Comes Without Effort"

#32 subtledoctor

subtledoctor
  • Member
  • 642 posts

Posted 28 April 2015 - 08:29 PM

BWP v15 is released now.

---

I have added  the Scales of Balance mod. There are some problems now when I install it in the suggested order before Stratagems:

Component 250 7: Weapon Proficiency Overhaul adds sob/wizard/clabma01.2da which includes GA_D5_CANT
The d5_cantr.spl however is copied only with component Component 600 28: Wizard Class Changes
So if one installs component 600 28: Wizard Class Changes without component 250 7: Weapon Proficiency Overhaul this lead to the
ERROR: Failure("resource [D5_CANT.spl] not found for 'COPY'")

 

with the stratagems component 6000 Smarter general AI.

When I try to install the stratagems component 8141 Slightly Improved Drow or 8170 [Enhanced Sendai's Enclave I get the error message:

ERROR: [dagmag01.CRE] -> [override/dagmag01.CRE] Patching Failed (COPY) (Failure("Unknown function: %RESREF_D5_GSEQ3_KIT_EFFECTS_REMOVE%"))
Stopping installation because of error.
Failed to patch dagmag01.CRE; error message was Failure("Unknown function: %RESREF_D5_GSEQ3_KIT_EFFECTS_REMOVE%")

I didn’t manage to install most of the NPC changing components 800 and higher except for 815, 821, 835, 860, 872, 890

With component 310 9: Kensai Weapon Focus I got the error:

ERROR: [d5_KLSWO.2da] -> [override] Patching Failed (COPY) (Failure("Unknown macro: remove_blank_lines"))

Oddly enough I was able to install this component with SoB v2.4. I Didn't want to delay the new release of BWPv15 any longer so I didn't investigate why this happens.

 

Leonardo, thanks for pointing this stuff out. I just noticed this post about a month later... I just went through and fixed these bugs - well, not sure about the NPC ones, but I'll take a look -but anyway the three that you specified (d5_cant, d5_gseq, and d5_klswo) should be fixed in v2.9.1, and in the master.zip file that BWS pulls from.  Thanks for your work on this!



#33 subtledoctor

subtledoctor
  • Member
  • 642 posts

Posted 30 April 2015 - 09:11 AM

Also, BWPv15 says the Scales of Balance "wizard tweaks" component should be installed after Refinements... but actually it's the "druid tweaks" component that needs to be delayed (it has a specific check for Refinements druid HLAs). The wizard tweaks can go before Refinements (unless you've identified some issue that I'm not aware off).

Also the Guide has a handful of kit mods between Refinements and SCS, like Druidic Sorcerer, Six's KitPack, etc. Scales of Balance really wants to be installed after those mods (and I should think Refinements does as well.)

(Sorry for the double-post, this forum software doesn't work to well on my phone, quoting and editing seem broken.)

#34 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 02 May 2015 - 08:24 PM

1. Isra is v2.1 now

 

http://www.shsforums...load/1042-isra/

 

2. I read the following on some Garrick mods:

 

Garrick - tales of a troubadour 1.22

This mod is contentwise not compatible with Garrick's Infatuation

 

What does this mean?  What negative thing will happen if I install both?

 

3. Garrick - Tales of a Troubadour 

 

Is now v1.23 instead of v.122

 

4. Item Revisions 10.5 Shatterfix

 

Where can  I find this. I look up http://www.gibberlin...item_rev.html  But I see nothing about shattering.

 

5. I noticed for BGt tweak Pack v11 (1)

 

Install Component 1809 [Import more NPCs into Shadow of Amn: Bub Snikt]? [N]o
Dark Side of the Sword Coast is required
Install Component 1810 [Import more NPCs into Shadow of Amn: Conchobhair Strongblade]? [N]o
Dark Side of the Sword Coast is required
Install Component 1811 [Import more NPCs into Shadow of Amn: Ferthgil Trollslayer]? [N]o
Dark Side of the Sword Coast is required
Install Component 1812 [Import more NPCs into Shadow of Amn: Jet'Laya]?

 

You put no by default for all these NPCs.  Why?  Is there any conflict with where these Dark Side of the Sword Coast NPCs end up?

 

6.  I can't find new travel system between Baldur's Gate 10.9 City areas v1.0d

 

If you could point me in a direction, I'd appreciate it.


Edited by Bill Bisco, 02 May 2015 - 09:10 PM.

"Real Sharpness Comes Without Effort"

#35 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 09 May 2015 - 04:31 AM

I changed the install order like subtledoctor suggested. I didn’t realize that only Six's KitPack's component 0 must be installed after Refinements.


@ Bill Bisco
 

This mod is contentwise not compatible with Garrick's Infatuation
What does this mean?  What negative thing will happen if I install both?


This is from the Garrick - tales of a troubadour read me

 


You put no by default for all these NPCs.  Why?  Is there any conflict with where these Dark Side of the Sword Coast NPCs end up?


The components are installed with BGT Tweak Pack v11 (2)



#36 Ithildur

Ithildur
  • Member
  • 175 posts

Posted 09 May 2015 - 07:25 AM

BWP claims that SCS/Stratagems component 8050 Improved Random Encounters is incompatible with Ding0 Quest Pack component 'Miscellaneous Enhancements'.

 

However I've never seen anyone report such is the case in either Quest Pack's or Stratagem's forums, with at least one credible person posting that there's no compatibility issues between the two over in SCS's forums. Also, the authors of both mods seem to have made sure the two mods don't conflict, according to the readme's.



#37 Nightfarer

Nightfarer
  • Member
  • 473 posts

Posted 09 May 2015 - 07:31 PM


@ Bill Bisco
 
This mod is contentwise not compatible with Garrick's Infatuation
What does this mean?  What negative thing will happen if I install both?


This is from the Garrick - tales of a troubadour read me

 

Garrick - tales of a troubador also conflicts with Tenya NPC.



#38 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 10 May 2015 - 03:54 AM


@ Bill Bisco
 
This mod is contentwise not compatible with Garrick's Infatuation
What does this mean?  What negative thing will happen if I install both?


This is from the Garrick - tales of a troubadour read me

 

Garrick - tales of a troubador also conflicts with Tenya NPC.

 

Tenya NPC is BGEE only  I am sad,  We really need a thread for existing mod conflicts and why.  This gives us an opportunity to really spell out what needs to be fixed.


"Real Sharpness Comes Without Effort"

#39 Nightfarer

Nightfarer
  • Member
  • 473 posts

Posted 10 May 2015 - 04:20 AM

I know its BG:EE only... though, as of version 1.23, BG:EE support is added to garrick - tales of the troubador... thus the mod now conflicts with Garrick's Infatuation and Tenya NPC.


Edited by Nightfarer, 10 May 2015 - 04:20 AM.


#40 Bill Bisco

Bill Bisco

    Player of Mods

  • Member
  • 487 posts

Posted 10 May 2015 - 04:56 AM

I know its BG:EE only... though, as of version 1.23, BG:EE support is added to garrick - tales of the troubador... thus the mod now conflicts with Garrick's Infatuation and Tenya NPC.

True, but BG:EE compatibility is a whole other can of worms.  We really need a separate thread for it.


"Real Sharpness Comes Without Effort"